<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <input type="text" id="input">
    <a id="boton" href="https://trello.com/c/puXptulp/37-introducci%C3%B3n-a-js">TrelloWep</a>
    <!--<button id="boton">Boton</button>-->
    <script>
        // (function(){
        //     var saludo=function(){
        //         alert('saludo');
        //     };
        //     var boton=document.getElementById('boton');
        //     boton.addEventListener("click",saludo);

        // }())
        (function(){
            var saludo=function(e){
               //console.log('es una evento: '+e.target);
                console.log('oh yea');
                e.preventDefault();
            }; 
            var input=document.getElementById('input');
            boton.addEventListener("click",saludo);
            //boton.addEventListener("click",saludo1);
            //boton.removeEventListener("click",saludo);
        }())
    
    
    </script>
</body>
</html>